import React from 'react';
import './index.less';
declare type GoodsProps = {
    data: any;
    onClick: Function;
};
declare type GoodsState = {
    showConfirmModel: any;
};
declare class GoodsCard extends React.Component<GoodsProps, GoodsState> {
    unFollowIcon: any;
    constructor(props: any);
    handleUnFollow: (data: any) => void;
    handleSelectSelf: () => void;
    render(): JSX.Element;
}
export default GoodsCard;
